Create a business transaction

Uploads a document and creates a business transaction that needs to be validated.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The call creates a business transaction by uploading a raw binary format (application/octet-stream) and then validates that transaction. You can also submit the data as a stream that is formatted as a base64-encoded ASCII text. In this case, the HTTP Content-Type header must be set to application/base64.

The document must be sent as the request body.

The validation step ensures that the document fulfills the corresponding business and semantic requirements.

The call also informs the server of whether more data is expected or not and then updates the message status. If no more documents will be added, the call sets the status of the message to received.Otherwise, the message remains open and the message status is notset.

Additional documents are added through the POST /messages/:mid/documents call. This is possible if the value of the more parameter was set to true when the message was created.

Query Params
uuid
required

The identifier of the message in the format of a valid Universally unique identifier (GUID).

string
required

The identifier of the transaction group indicating the action that should be performed on the data, for example, SubmitInvoice, CorrectWithCredit, or SubmitOrder.
See Business transaction groups.

string

The identifier of the conversation. Used as a correlation identifier between different documents in the same business context, for example, between a credit note that was issued based on an invoice and that invoice.

If not provided, it is generated automatically.
In that case, it includes the date when the message was sent, a random token, and the ISO identifier of the sender.

boolean
required

Signals if the current document is the last document that the message is supposed to contain.
If that is true, the processing starts immediately.

string
enum

The way the transaction is processed.

Allowed:
services
array of strings

A list of services that the user specifies for additional message processing.

services
string
length ≥ 1

The contact name of the fallback receiver.
Optional but recommended.

string
length ≤ 160

The email address of the receiver.
This is used if the document cannot be delivered to the receiving party due to processing or other issues.
A list of a few e-mail addresses, delimited with a comma, are allowed.

string
length ≥ 1

The desired display language of the business document.
Optional.

string
enum

The business sector of the transaction.
Only used for Croatia; controls how documents are fiscalized.
Default is B2B.

Allowed:
string

Internal use only. On a tax-handling action message (e.g. register rejection / register payment)
raised without a reference to an existing document message, this carries the identifier of the
referenced document's issuer, so the document can be correlated (best effort) once the tax
authority accepts the report. Not a partner-facing parameter and never set on ordinary transactions.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml